2010-08-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext/Catalog.cs: Track api changes.

2010-07-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Replaced
	  custom workerthread with
	  system.compontentmodel.backgroundworker.

2010-06-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext.addin.xml: Fix icon size names.

2010-06-01  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/TranslationProject.xpt.xml: Don't include the
	  assembly name in the project type name since it doesn't work
	  well when running on .NET

2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext/GettextFeatureWidget.cs:
	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs:
	  Fix incorrect use of ShowCustomDialog/RunCustomDialog.

2010-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs:
	  Use ShowCustomDialog (which destroys the dialog when done)
	  instead of RunCustomDialog (which doesn't).

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext/GettextFeatureWidget.cs:
	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs:
	  More dialog placing.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/CatalogEditorView.cs: ViewContent
	  widgets are now destroyed by the workspace window.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: call destroy
	  instead of dispose.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Gettext.addin.xml: Bumped MD version.

2010-03-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Use the new
	  status bar model.

	* gtk-gui/objects.xml: Flush.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Commands.cs:
	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml:
	* MonoDevelop.Gettext.csproj:
	* MonoDevelop.Gettext.addin.xml:
	* MonoDevelop.Gettext/Catalog.cs:
	* MonoDevelop.Gettext/TranslationProject.cs:
	* MonoDevelop.Gettext/GettextFeatureWidget.cs:
	* MonoDevelop.Gettext.Editor/POEditorWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs:
	* MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs:
	* MonoDevelop.Gettext.NodeBuilders/TranslationNodeBuilder.cs:
	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs:
	* MonoDevelop.Gettext.NodeBuilders/ProjectFileNodeBuilderExtension.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-03-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Alexander
	  Cherniuk <ts33kr@gmail.com>: Make the font inside the editor
	  to be configurable, rather that being hardcoded.

2010-03-09  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Gettext.Editor/POEditorWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs: Improved
	  gettext addin gui.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Track api
	  changes.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.addin.xml:
	* templates/TranslationProject.xpt.xml:
	* MonoDevelop.Gettext/TranslationService.cs: Removed useless
	  startup handler.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Track API
	  changes for lazy loading images.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext/GettextFeature.cs: Track api changes.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.GettextFeatureWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs:
	* gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs:
	  Flush.

2010-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext.Editor/GettextEditorDisplayBinding.cs:
	  Track DisplayBinding API.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext/Translation.cs:
	* MonoDevelop.Gettext/TranslationProject.cs: Introduced the
	  ConfigurationSelector class to all methods that previously
	  took a configuration name as string. This eliminates the
	  ambiguity between solution configuration names and project
	  configuration names.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Gettext.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.Gettext.csproj:
	* gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.GettextFeatureWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs:
	* gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs:
	  Flush.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Gettext.addin.xml: Bump MD version.

2009-10-01  David Makovský  <yakeen@sannyas-on.net>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: fixed
	  translatable string typo

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Optimized
	  gettext editor.

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Force reset of
	  scrollbars when changing text.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs: 
	* MonoDevelop.Gettext/GettextFeatureWidget.cs: Make dialogs transient
	  for the root window.

2009-09-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Fixed progress
	  bar status message.

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Show file icon
	  in found in list.

2009-08-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.addin.xml: Don't use the text editor
	  display binding id as reference for registering the gettext
	  view. Use DefaultDisplayBinding instead. Removed unused
	  supportedextensions attribute.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Gettext.Editor/POEditorWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs:
	  Fixed Bug 481221 - Translation editor doesn't show
	  whitespaces & Bug 481222 - Original translatable string is
	  vertically centered.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: fixed
	  tooltips.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.csproj: Updated dependencies. We now
	  depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext/Catalog.cs: Handled same bug in
	  different method.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext/Catalog.cs: Handled possible exception
	  (I think I've encountered a mono bug).

2009-08-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Fix build
	  error.

2009-08-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.Editor\POEditorWidget.cs: Track api
	  changes.

2009-08-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext/Translation.cs:
	* MonoDevelop.Gettext/TranslationProject.cs: Quote filenames
	  when invoking msmerge and msgfmt. Fixes bug #529200.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs:
	* gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs:
	  Flush.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs:
	  Use the new api from removing projects from a solution.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext/TranslationProject.cs: Use the new
	  DesktopService instead of PlatformService.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext\Translation.cs:
	* MonoDevelop.Gettext\TranslationProject.cs: Use the new
	  FilePath class for handling file and directory paths.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.addin.xml: Ensure that the display
	  binding is inserted before the text editor

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/GettextEditorDisplayBinding.cs:
	  Track API changes.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/GettextEditorDisplayBinding.cs:
	  Track API changes.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Added rule for
	  '_' in translation, but not original string.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Added new
	  translation rule - translation should end with ' ' when
	  original string ends with ' '.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Gettext.csproj: don't require specific
	gtk-sharp version.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.addin.xml:
	* MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs:
	  Removed icon service.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Gettext.addin.xml: Bump MD version.

2009-03-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext.csproj: Don't local-copy project refs.

2009-03-13  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs:
	  Making some strings not translatable.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.csproj: Moved text editor to core

2009-03-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs:
	* MonoDevelop.Gettext.Editor/CatalogEditorView.cs: Added
	  undo/redo support to the gettext editor.

2009-03-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: fixed "Bug
	  480125 - Gettext editor's filter is buggy".

2009-03-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Removed some
	  debug messages.

2009-03-06  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* icons/silk_error.png:
	* icons/silk_accept.png:
	* MonoDevelop.Gettext.csproj:
	* icons/silk_exclamation.png:
	* MonoDevelop.Gettext.addin.xml:
	* MonoDevelop.Gettext.Editor/POEditorWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs: Added silk
	  icons to replace the old fuzzy/missing/valid icons. (But I'm
	  still unsure what to take)

2009-03-06  Mike Krüger  <mkrueger@novell.com>

	* icons/translation-fuzzy-16.png:
	* icons/translation-valid-16.png:
	* icons/translation-missing-16.png: Worked on icons.

2009-03-06  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml:
	* gtk-gui/generated.cs:
	* MonoDevelop.Gettext.csproj:
	* MonoDevelop.Gettext.addin.xml:
	* icons/translation-valid-16.png:
	* icons/translation-fuzzy-16.png:
	* icons/translation-missing-16.png:
	* MonoDevelop.Gettext.Editor/POEditorWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs: Now using
	  custom icons for fuzzy/missing/valid translations instead of
	  abusing system icons.

2009-03-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Fixed gettext
	  options menu.

2009-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: fixed "Bug
	  481217 - Translation editor is unusable with dark themes".

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Translation
	  fixes. Patch from Kriván Bálint.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.csproj: Flush.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.addin.xml:
	* MonoDevelop.Gettext/PropertyProvider.cs:
	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Worked on
	  propertygrid localization.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml:
	* MonoDevelop.Gettext.csproj:
	* MonoDevelop.Gettext.Editor/POEditorWidget.cs:
	* MonoDevelop.Gettext.Editor/CatalogEditorView.cs: Fixed "Bug
	  479376 - remove extra error check in Gettext addin".

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Changed
	  override Destroy --> override OnDestroyed.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/objects.xml: 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs:
	* MonoDevelop.Gettext.Editor/CatalogEditorView.cs: Worked on
	  ressource de-allocation.

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.addin.xml:
	* MonoDevelop.Gettext/Translation.cs:
	* MonoDevelop.Gettext.NodeBuilders/TranslationNodeBuilder.cs:
	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs:
	  Track merge of the project pad context menu.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: fixed "Bug
	  478442 - Really hard to edit PO files because of slowness"

2009-02-19  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml: 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: fixed "Bug
	  477062 - Sorting on status column of translation view causes
	  hang".

2009-02-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext/Catalog.cs: Don't write newlines into
	  empty (untranslated) messages, as this breaks msgfmt. Add a
	  log message instead of silently swallowing an exception.

2009-02-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext/GettextTool.cs: Handle general solution
	  files, not just mds.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext.csproj: Exorcise more unwanted local
	  copy.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext.csproj: Flush MD's removal of newline at
	  end of file that was introduced by manually editing with
	  gedit.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext.csproj: Remove invalid ApplicationIcon
	  value that broke the build in VS.

2009-02-06  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/objects.xml: 

	* MonoDevelop.Gettext.Editor/CatalogEditorView.cs: fixed
	  catalog editor view

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.mdp:
	* MonoDevelop.Gettext.csproj: Migrated to MSBuild file format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Gettext.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.GettextFeatureWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs:
	* gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs:
	*
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs:
	  Flush.

2009-01-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext/Catalog.cs: Rename UserInformation to
	AuthorInformation, and change other strings correspondingly.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext.mdp: Flush project format changes.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext/Catalog.cs:
	* MonoDevelop.Gettext/CatalogParser.cs:
	* MonoDevelop.Gettext/TranslationProject.cs:
	* MonoDevelop.Gettext.Editor/POEditorWidget.cs:
	* MonoDevelop.Gettext.Editor/CatalogEditorView.cs:
	* MonoDevelop.Gettext.Editor/GettextEditorDisplayBinding.cs: Use the
	UserInformation API, which requires a parent SolutionItem.

2008-12-19  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/objects.xml: TooltipWindow has been moved to MD.Components.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.mdp: All projects now require fx 3.5.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Gettext/RegexFileScanner.cs: Remove debug writelines.

2008-11-24  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: set labels on the
	valid/missing/fuzzy filter buttons. Use a MenuButton to ensure 
	proper menu placement on the options button.  Fixes #367274.

2008-11-24  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Gettext.Editor/CatalogHeadersWidget.cs: some null
	guarding for a couple strings.

2008-11-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* icons/locale.svg:
	* MonoDevelop.Gettext.mdp:
	* MonoDevelop.Gettext.addin.xml: Removed the locale.svg file.
	PixbufLoader does not support svg in all platforms.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build dependencies.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Gettext.addin.xml: Bump MD version.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Gettext.addin.xml,
	  MonoDevelop.Gettext.NodeBuilders/ProjectFileNodeBuilderExtension.cs,
	  MonoDevelop.Gettext.mdp, Commands.cs, Makefile.am: Added quick
	  property for enabling translation of files. Supports multi-select.

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/CatalogEditorView.cs,
	  MonoDevelop.Gettext.Editor/POEditorWidget.cs: fixed some minor
	  issues in the po editor.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.mdp: Updated projects.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Gettext.GettextFeatureWidget.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs:
	  Updated generated code.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationNodeBuilder.cs,
	  MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs:
	  Moved the extensible tree view to its own directory.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: Don't set the dirty flag
	  when a translation is added while loading the project.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.mdp,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/gui.stetic: Updated.
	* MonoDevelop.Gettext/TranslationProject.cs,
	  MonoDevelop.Gettext/Translation.cs: Properly check if a translation
	  needs to be built.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* GettextProjectBinding.cs, MonoDevelop.Gettext/Translation.cs,
	  MonoDevelop.Gettext/TranslationProject.cs: Moved serialization
	  engine to MonoDevelop.Core. Use new syntax for specifying attribute
	  scope.

2008-06-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs: fixed bug in
	  options dialog.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Bump MD version.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs, gtk-gui/gui.stetic: Use
	  the OnDestroyed event instead of Dispose, since with the latest
	  changes in gtk#, Dispose is not called anymore when a widget is
	  destroyed.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: Track api changes.

2008-05-30  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/GettextEditorDisplayBinding.cs,
	  MonoDevelop.Gettext.Editor/CatalogEditorView.cs: Fixed bug (gettext
	  addin didn't work).

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: Replaced
	  ICompilerResult/DefaultCompilerResult/CompilerResults by a new
	  BuildResult class, which has owner information at error level, so
	  it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationNodeBuilder.cs,
	  MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs,
	  MonoDevelop.Gettext.mdp,
	  MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs,
	  gtk-gui/gui.stetic, Makefile.am,
	  MonoDevelop.Gettext/MakefileHandler.cs,
	  MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs,
	  MonoDevelop.Gettext/GettextTool.cs,
	  MonoDevelop.Gettext/TranslationProject.cs,
	  MonoDevelop.Gettext/Translation.cs,
	  MonoDevelop.Gettext/GettextFeature.cs,
	  MonoDevelop.Gettext/GettextFeatureWidget.cs,
	  MonoDevelop.Gettext/TranslationCollection.cs: New project model
	  changes.

2008-05-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Set "isText" attribute on the mimetype
	  definitions.

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Use the new mime type extension to
	  register new file types.

2008-03-18  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: POEditor has a new rule
	  (checks for {0}, {1}, {*} mismatch). Rules are now threaded.

2008-03-14  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/CatalogEditorView.cs,
	  MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs,
	  gtk-gui/gui.stetic: Worked on gettext addin.

2008-03-13  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/gui.stetic: Made the language chooser dialog gnome compliant.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationNodeBuilder.cs,
	  MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs,
	  MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs: Worked on
	  gnome hig compliant alerts.

2008-03-02  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Workaraound a bug in mono
	  1.2.4 where anonymous delegates ignore usings.

2008-03-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Filter is not preserved
	  anymore (this was more annoying than helpful).

2008-03-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs: Added some filter
	  options.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.addin.xml,
	  MonoDevelop.Gettext.NodeBuilders/TranslationNodeBuilder.cs,
	  MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs,
	  Commands.cs, MonoDevelop.Gettext/TranslationProject.cs: Added command to
	  update a single translation.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Added many shortcuts.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs: Fixed bug in po editor.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  MonoDevelop.Gettext/Catalog.cs: Not longer using Thread.Abort

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: filter updates more nicely.

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs: Refactored status bar.

2008-02-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Untranslated <--> translated
	  update now works in entry list.

2008-02-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/CatalogParser.cs: Fixed plural message bug.

2008-02-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Columns are now resizeable.

2008-02-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs: Improved ui: original
	  strings are now selectable.Fixed ui glitch: original string in the
	  entrylist is now in gettext format too.

2008-02-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  MonoDevelop.Gettext/StringEscaping.cs,
	  MonoDevelop.Gettext/PluralForms.cs: Now using the gettext format for
	  text input instead of the plain text (otherwise the translation of some
	  strings is impossible and I assume that the translators are used to the
	  \n, \r, \t escape sequences).

2008-02-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/CatalogEditorView.cs,
	  MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  MonoDevelop.Gettext.Editor/CatalogHeadersWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  MonoDevelop.Gettext/CatalogParser.cs,
	  MonoDevelop.Gettext/CatalogEntry.cs,
	  MonoDevelop.Gettext/CatalogHeaders.cs, MonoDevelop.Gettext/Catalog.cs:
	  Refactored gettext addin, fixed bug in headers widget.

2008-02-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/GettextEditorDisplayBinding.cs,
	  MonoDevelop.Gettext.Editor/CatalogEditorView.cs,
	  MonoDevelop.Gettext.Editor/CatalogEditor.cs,
	  MonoDevelop.Gettext.Editor/CatalogHeadersWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs,
	  MonoDevelop.Gettext/CatalogHeaders.cs, MonoDevelop.Gettext/Catalog.cs:
	  Fixed bug in header editor. Added feature to ensure that no line end is
	  forgotton or accidentally added.

2008-02-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Made the update operation a
	  lot faster.

2008-02-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/StringEscaping.cs: Fixed bug in FromGettextFormat.

2008-02-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Added shortcuts to menu items.

2008-02-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/CatalogParser.cs: Fixed multiline bug.

2008-02-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.addin.xml,
	  MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  MonoDevelop.Gettext/StringEscaping.cs,
	  MonoDevelop.Gettext/CatalogDeletedEntry.cs,
	  MonoDevelop.Gettext/RegexFileScanner.cs,
	  MonoDevelop.Gettext/CatalogParser.cs,
	  MonoDevelop.Gettext/CatalogEntry.cs, MonoDevelop.Gettext/Catalog.cs:
	  Fixed some gettext issues (at least for monodevelop/german it works now)

2008-02-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: gettext pad now updates the
	  changes in the translated message list.

2008-02-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs: Added
	  some tooltips for the description button

2008-02-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.GettextFeatureWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs,
	  MonoDevelop.Gettext/StringEscaping.cs: Added filter & sort functions to
	  the gettext editor.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.mdp, gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs,
	  MonoDevelop.Gettext/TranslationService.cs: Removed reference to
	  gnome-vfs-sharp and fixed 2 warnings.

2008-02-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationNodeBuilder.cs,
	  MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs:
	  Handle the delete key in TreeViewPad, so it will work event if the
	  shortcut is not defined.

2008-02-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: Include .po files in the list
	  of exportable files of the project. Fixes bug #362567.

2008-01-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Gettext.addin.xml, MonoDevelop.Gettext/RegexFileScanner.cs,
	  MonoDevelop.Gettext.ExtensionNodes/IncludeExtensionNode.cs,
	  MonoDevelop.Gettext.ExtensionNodes/RegexScannerExtensionNode.cs,
	  MonoDevelop.Gettext.ExtensionNodes/XmlRegexScannerExtensionNode.cs:
	  Rework unescaping of C# and XML translatable strings.
	* MonoDevelop.Gettext.mdp, Makefile.am: Updated.
	* MonoDevelop.Gettext/StringEscaping.cs: Helper class for
	  escaping/unescaping text.
	* MonoDevelop.Gettext/Catalog.cs: Rework escaping of strings.
	
	Fixes "Bug 355967 - Translation issues with regex toolkit descriptions".

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Update MD version.

2008-01-24  Lluis Sanchez Gual <lluis@novell.com> 

	* templates/Makefile.am.template: CLEANFILES must be set before including
	  Makefile.include.

2008-01-23  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Gettext/RegexFileScanner.cs: Remove debug code.

2008-01-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: Performance improvement.

2008-01-16  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs: Make
	  string translatable.
	* MonoDevelop.Gettext/TranslationProject.cs: Wait for child process's output
	  before writing completion message.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* templates/TranslationProject.xpt.xml: Make template categories
	  translatable.

2008-01-04  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Handle simple concatenated strings in C#.
	  Allows line breaks when specifying long strings.
	* MonoDevelop.Gettext/RegexFileScanner.cs: Apply transforms to plural
	  strings as well. Add the capability to specify regex options.
	* MonoDevelop.Gettext.ExtensionNodes/TransformExtensionNode.cs,
	  MonoDevelop.Gettext.ExtensionNodes/ExcludeRegex.cs,
	  MonoDevelop.Gettext.ExtensionNodes/IncludeExtensionNode.cs,
	  MonoDevelop.Gettext.ExtensionNodes/RegexScannerExtensionNode.cs,
	  MonoDevelop.Gettext.ExtensionNodes/XmlRegexScannerExtensionNode.cs: Add
	  the capability to specify regex options.

2008-01-03  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Plural string regexes needed to capture
	  first string. Partial fix for "Bug 351017 - Gettext addin is extracting
	  some translation messages wrongly".

2007-12-31  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* gtk-gui/gui.stetic,
	* gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs: Fixed typo in initialization string.

2007-12-19  Ankit Jain  <jankit@novell.com>

	* MakefileHandler.cs: Set top_srcdir and all_target correctly.
	* TranslationProject.cs: Set the default value for RelPath
	to empty string instead of null.
	Remove AbsPath.
	* MonoDevelop.Gettext/TranslationProjectOptionsDialog: Update.
	* templates/Makefile.template: Make top_srcdir and all_target template
	variables to allow setting from MakefileHandler.

2007-12-18  Ankit Jain  <jankit@novell.com>

	Fix bug #349419.
	* templates/Makefile.template: Remove EXTRA_DIST, it gets generated.
	* MakefileHandler.cs: Honor DESTDIR for INSTALL_DIR.
	Based on patch by Wade Berrier.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.mdp: Updated project files. The order of extended
	  properties won't change anymore.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: Moved PlatformService to
	  MD.Core.Gui. Removed old FileIconService class, which is now implemented
	  in PlatformService.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: API cleanup.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/gui.stetic: Updated.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Bump add-in versions.

2007-12-06  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.Gettext/GetTextTool.cs:
	* MonoDevelop.Gettext/TranslationProject.cs: Do not call Gnome.Vfs directly;
	  utilize the PlatformService to get mime information.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.mdp, Makefile.am: Directory reorganization.

2007-12-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext/Catalog.cs: Fix build.

2007-12-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext/Translation.cs: Added properties for getting the Po
	  and Out files.
	* Makefile.am, MonoDevelop.Gettext.addin.xml,
	  MonoDevelop.Gettext.ExtensionNodes/ExcludeRegex.cs,
	  MonoDevelop.Gettext.ExtensionNodes/IncludeExtensionNode.cs,
	  MonoDevelop.Gettext.ExtensionNodes/RegexScannerExtensionNode.cs,
	  MonoDevelop.Gettext.ExtensionNodes/TransformExtensionNode.cs,
	  MonoDevelop.Gettext.ExtensionNodes/XmlRegexScannerExtensionNode.cs,
	  MonoDevelop.Gettext.mdp, MonoDevelop.Gettext/Catalog.cs,
	  MonoDevelop.Gettext/IFileScanner.cs,
	  MonoDevelop.Gettext/RegexFileScanner.cs,
	  MonoDevelop.Gettext/TranslationProject.cs,
	  MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs,
	  MonoDevelop.Gettext/TranslationService.cs,
	  templates/TranslationProject.xpt.xml: Added an extension point for
	  specifying regular expressions to use for scanning files. Fixed some old
	  regexes. Moved some properties from TranslationProjectConfiguration to
	  TranslationProject, since it is not really useful to handle that info
	  per-config.
	* MonoDevelop.Gettext/MakefileHandler.cs, templates/Makefile.template: Set
	  the correct install dir depending on the project output type.

2007-12-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext/GettextFeature.cs,
	  MonoDevelop.Gettext/GettextFeatureWidget.cs: Show the gettext feature
	  when creating new Packaging projects.

2007-12-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs: Run the
	  translation update in a background thread.
	* MonoDevelop.Gettext/GettextTool.cs: New command line tool for updating
	  translation projects.
	* gtk-gui/gui.stetic,
	  gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.GettextFeatureWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs:
	  Updated.

2007-11-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  Makefile.am, MonoDevelop.Gettext.mdp,
	  MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProject.cs,
	  MonoDevelop.Gettext/Catalog.cs: Now message strings are extracted using
	  regexes instead of xgettext.

2007-11-20  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: Process output is now written
	  to the monitor.Log.

2007-11-20  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: gettext addin now only scans
	  code files for translations.

2007-11-16  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs,
	  MonoDevelop.Gettext/TranslationProject.cs,
	  MonoDevelop.Gettext/Catalog.cs: Added some gui update code.

2007-11-16  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.Gettext.GettextFeatureWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs,
	  MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs,
	  MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProject.cs,
	  MonoDevelop.Gettext/CatalogParser.cs: The gettext addin now uses
	  xgettext and msgmerge command line tools instead of custom routines.
	  Fixed some bugs in the po editor and catalog parser.

2007-11-15  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/gui.stetic: Updated.
	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs: Moved
	  code for updating translation to TranslationProject.
	* MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProject.cs,
	  MonoDevelop.Gettext/Catalog.cs,
	  MonoDevelop.Gettext.Editor/CatalogEditor.cs: Use progress monitors to
	  report errors.
	* MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs: Create a new
	  configuration if none exist.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Gettext/TranslationService.cs, MonoDevelop.Gettext/Catalog.cs:
	  Track LoggingService API changes.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Bump MD version.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: Set correct target directory
	  path.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Gettext.GettextFeatureWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs: Updated
	  project icons. Use the base project icon with an overlay to show the
	  type.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Track changes in the Icon extension node.

2007-10-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/CatalogParser.cs, MonoDevelop.Gettext/Catalog.cs:
	  Fixed some parsing/generationg errors in the catalog.

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.Editor/CatalogEditor.cs: Destroy the view widget when
	  the view is disposed.

2007-10-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/GtkSpell.cs,
	  MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProject.cs,
	  MonoDevelop.Gettext/CatalogEntry.cs, MonoDevelop.Gettext/Catalog.cs:
	  Speed optimized the update process.

2007-10-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.addin.xml, MonoDevelop.Gettext.mdp, Makefile.am,
	  MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs,
	  icons/md-gettext-project_16.png, icons/gettext-overlay-32.png,
	  icons/gettext-overlay-16.png, icons/md-gettext-project_22.png,
	  icons/md-gettext-project_32.png, templates/TranslationProject.xpt.xml:
	  Updated project icons. Use the base project icon with an overlay to show
	  the type.

2007-10-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProject.cs,
	  MonoDevelop.Gettext/CatalogEntry.cs, MonoDevelop.Gettext/Catalog.cs:
	  Fixed re opened "Bug 335326 - Gettext addin breaks zh_CN.po".

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Gettext.GettextFeatureWidget.cs, gtk-gui/gui.stetic,
	  MonoDevelop.Gettext/GettextFeature.cs: Cosmetic changes in the feature
	  widget. Don't show scrollbars, just grow the list as new items are
	  added.
	* gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs: Cosmetic
	  fix.
	* MonoDevelop.Gettext.mdp: Updated.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.mdp: Project file names updated by change in MD path
	  functions.

2007-10-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProject.cs,
	  MonoDevelop.Gettext/CatalogEntry.cs: Optimized the speed a bit.

2007-10-22  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/gui.stetic, MonoDevelop.Gettext.mdp: Updated.
	* gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs: Some
	  cosmetic fixes.
	* MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs: Show all cell
	  renderers in a single column. Fixes some alignment issues in the tree.

2007-10-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs,
	  MonoDevelop.Gettext/TranslationService.cs: Fixed "Bug 335335 - Gettext
	  addin: updating the translations of MD takes forever".

2007-10-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs:
	  Updating translations is now done async.

2007-10-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/CatalogParser.cs, MonoDevelop.Gettext/Catalog.cs:
	  Fixed "Bug 335326 - Gettext addin breaks zh_CN.po".

2007-10-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationNodeBuilder.cs,
	  MonoDevelop.Gettext/TranslationProject.cs: Applied changes that were
	  neccassary for to the new FileService.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Bump MD version.

2007-09-20  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Gettext.GettextFeatureWidget.cs, gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs:
	  Regenerated GUI files.

2007-09-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: Fixed 82693: Rebuild not
	  working.

2007-09-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: Fixed 82693: Rebuild not
	  working.

2007-08-10  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/gui.stetic, MonoDevelop.Gettext.addin.xml,
	  MonoDevelop.Gettext.mdp, Makefile.am,
	  MonoDevelop.Gettext/MakefileHandler.cs, templates/Makefile.am.template,
	  templates/Makefile.template: Added support for makefile generation.

2007-08-09  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Changed addin path.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext/GettextFeatureWidget.cs: Workaround to mcs bug.

2007-08-09  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.Gettext.GettextFeatureWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  MonoDevelop.Gettext/GettextFeature.cs,
	  MonoDevelop.Gettext/GettextFeatureWidget.cs: Fixed 82340: Gettext
	  addin: translation project creation should be available as a
	  'project feature'.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Removed the CommandService class.
	  Everything is done directly with CommandManager. Moved all extension
	  node types to MD.Components.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs,
	  gtk-gui/gui.stetic, MonoDevelop.Gettext.addin.xml,
	  MonoDevelop.Gettext.mdp, Makefile.am: Reorganized the extension point
	  hierarchy. Embedded all add-in manifests as resources.

2007-08-09  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.addin.xml,
	  MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs,
	  MonoDevelop.Gettext/PropertyProvider.cs,
	  MonoDevelop.Gettext/TranslationProject.cs: Fixed bug 82334: Gettext
	  addin: can't choose which files to translate. It's now possible to
	  choose, if a file can be translated in the file properties. 

2007-08-09  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs:
	  Fixed Bug 82341: Gettext addin: Language selection combo too big.

2007-08-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs:
	  Fixed 82337: Gettext addin: usability issues in the PO editor

2007-08-08  Mike Krüger <mkrueger@novell.com> 
   * MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs: Removed
   some debug code.

2007-08-08  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs,
	  MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs: Fixed
	  82336:Gettext addin: Translation project options dialog not HIG
	  compliant.

2007-08-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs,
	  MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs,
	  MonoDevelop.Gettext/TranslationProject.cs: Fixed 82335: Gettext
	  addin: can't choose which projects to translate.

2007-08-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: added bugfix from
	  Rafael Teixeira. Plural descriptions are now taken from
	  Catalog.PluralFormsDescription.

2007-08-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs: Editor now supports
	  n plural forms instead of 2.

2007-08-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/GtkSpell.cs,
	  MonoDevelop.Gettext.Editor/POEditorWidget.cs: Added spellchecking
	  to original string (hardcoded currently to "en" - maybe shoul add
	  an option to the translationproject for this ?). Fixed spellcheck
	  updating bug.

2007-08-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/GtkSpell.cs,
	  MonoDevelop.Gettext.Editor/POEditorWidget.cs: Fixed gtk spell
	  support.

2007-07-30  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.mdp, Makefile.am: Makefile fixes.

2007-07-24  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.Gettext.Translator.LanguageChooserDialog.cs,
	  gtk-gui/MonoDevelop.Gettext.Editor.CatalogHeadersWidget.cs: Add
	  missing files.

2007-07-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: Workaround for bug in
	  the compiler. Looks like gmcs gets confused when using anon
	  delegates in a partial class, and it will fail unless classes are
	  referenced using the full name.
	* MonoDevelop.Gettext.mdp, Makefile.am: Added makefile.

2007-07-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/CatalogEditor.cs,
	  MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  MonoDevelop.Gettext/TranslationProject.cs,
	  MonoDevelop.Gettext/Catalog.cs: added remove entry function to
	  delete unused translation strings.

2007-07-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs:
	  updated some translation strings.

2007-07-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs, Commands.cs,
	  MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs,
	  MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/Catalog.cs: Added manual udate command, missing
	  messages are now recognized.

2007-07-20  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/TranslationProject.cs: Worked on gettext
	  deployment.

2007-07-20  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProject.cs: Improved update code.

2007-07-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs,
	  MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProject.cs: New Translations are now
	  containing a list of all translation strings.

2007-07-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.NodeBuilders/TranslationNodeBuilder.cs,
	  MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs,
	  MonoDevelop.Gettext/TranslationProject.cs: Translations can now be
	  removed.

2007-07-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/CatalogEntry.cs,
	  MonoDevelop.Gettext.Editor/CatalogEditor.cs,
	  MonoDevelop.Gettext.Editor/CatalogDeletedEntry.cs,
	  MonoDevelop.Gettext.Editor/GtkSpell.cs,
	  MonoDevelop.Gettext.Editor/CatalogEditorWidget.cs,
	  MonoDevelop.Gettext.Editor/CatalogHeaders.cs,
	  MonoDevelop.Gettext.Editor/PluralForms.cs,
	  MonoDevelop.Gettext.Editor/CatalogParser.cs,
	  MonoDevelop.Gettext.Editor/CatalogEntryEditorWidget.cs,
	  MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  MonoDevelop.Gettext.Editor/Catalog.cs,
	  MonoDevelop.Gettext.Translator/TranslationFileDescriptionTemplate.cs,
	  MonoDevelop.Gettext.Translator/PropertyProvider.cs,
	  MonoDevelop.Gettext.Translator/TranslationProjectInfo.cs,
	  MonoDevelop.Gettext.Translator/TranslatorCoreService.cs,
	  MonoDevelop.Gettext.Translator/TranslatorInfo.cs,
	  MonoDevelop.Gettext.Translator/TranslationProject.cs, Commands.cs,
	  MonoDevelop.Gettext.addin.xml, gtk-gui/gui.stetic,
	  MonoDevelop.Gettext.mdp, MonoDevelop.Gettext/CatalogEntry.cs,
	  MonoDevelop.Gettext/CatalogDeletedEntry.cs,
	  MonoDevelop.Gettext/CatalogHeaders.cs,
	  MonoDevelop.Gettext/PluralForms.cs,
	  MonoDevelop.Gettext/CatalogParser.cs,
	  MonoDevelop.Gettext/IsoCodes.cs, MonoDevelop.Gettext/Catalog.cs,
	  IsoCodes.cs: Restructured/Refactored the project.

2007-07-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/POEditorWidget.cs: changed formatting.

2007-07-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.Editor/CatalogEntry.cs,
	  MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProject.cs: Improved reference
	  update code. Fixed comment handling and some translation editor
	  behavior issues.

2007-07-18  Mike Krüger <mike@icsharpcode.net> 

	* MonoDevelop.Gettext.Editor/CatalogEntry.cs,
	  MonoDevelop.Gettext.Editor/CatalogEditor.cs,
	  MonoDevelop.Gettext.Editor/CatalogDeletedEntry.cs,
	  MonoDevelop.Gettext.Editor/CatalogHeaders.cs,
	  MonoDevelop.Gettext.Editor/CatalogParser.cs,
	  MonoDevelop.Gettext.Editor/POEditorWidget.cs,
	  MonoDevelop.Gettext.Editor/Catalog.cs,
	  gtk-gui/MonoDevelop.Gettext.POEditorWidget.cs,
	  MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProject.cs: Worked on gettext addin.
	  New (stetic based) editor, some fixes.

2007-07-13  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProject.cs: Worked on translation
	  addin.

2007-07-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.addin.xml,
	  gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs,
	  MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs,
	  MonoDevelop.Gettext/TranslationService.cs,
	  MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs,
	  MonoDevelop.Gettext/TranslationProject.cs,
	  templates/TranslationProject.xpt.xml: Worked on translation project
	  options.

2007-07-11  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.Gettext.TranslationProjectOptionsDialog.cs,
	MonoDevelop.Gettext/TranslationProjectOptionsDialog.cs,
	MonoDevelop.Gettext/MonoDevelop.Gettext/TranslationProject.cs,
	MonoDevelop.Gettext/TranslationService.cs,
	MonoDevelop.Gettext.NodeBuilders/TranslationProjectNodeBuilder.cs: Fixed 
	little bug. Added options dialog.

2007-07-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.addin.xml: worked on translation addin.

2007-07-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Gettext.addin.xml: Worked on translation.

2007-07-06  Mike Krüger <mkrueger@novell.com> 

	* .: Adding the localization addin. Already worked on the translation
	  system.

